> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Transactions

> Fetch all Transactions API allows you to get all transactions for a virtual account



## OpenAPI

````yaml openapi.json GET /bank/virtual/accounts/{account_number}/transactions
openapi: 3.0.0
info:
  title: virtual bank
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
paths:
  /bank/virtual/accounts/{account_number}/transactions:
    parameters:
      - name: account_number
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Transactions
      summary: Fetch Transactions
      parameters:
        - name: from
          in: query
          schema:
            type: integer
        - name: to
          in: query
          schema:
            type: string
        - name: status
          in: query
          schema:
            type: string
        - name: reference_transaction_id
          in: query
          schema:
            type: integer
        - name: bank_reference_number
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
        - name: last_evaluated_key
          in: query
          schema:
            type: string
        - name: x-api-key
          in: header
          schema:
            type: string
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            description:
                              type: string
                            created_at:
                              type: integer
                            '@entity':
                              type: string
                            notes:
                              type: object
                            payer:
                              type: object
                              properties:
                                '@entity':
                                  type: string
                                name:
                                  type: string
                                bank_account:
                                  type: object
                                  properties:
                                    '@entity':
                                      type: string
                                    notes:
                                      type: object
                                    upi_id:
                                      type: string
                            payee:
                              type: object
                              properties:
                                '@entity':
                                  type: string
                                name:
                                  type: string
                                bank_account:
                                  type: object
                                  properties:
                                    '@entity':
                                      type: string
                                    account_number:
                                      type: string
                                    ifsc:
                                      type: string
                                    notes:
                                      type: object
                                    upi_id:
                                      type: string
                            status:
                              type: string
                            mode:
                              type: string
                            type:
                              type: string
                            amount:
                              type: integer
                            fee:
                              type: integer
                            tax:
                              type: integer
                      last_evaluated_key:
                        type: string
                  code:
                    type: integer

````